Index: /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfGetProductClassIdTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfGetProductClassIdTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfGetProductClassIdTest.php	(revision 22796)
@@ -32,58 +32,26 @@
  * @version $Id$
  */
-class SC_Utils_sfGetProductClassIdTest extends Common_TestCase
-{
+class SC_Utils_sfGetProductClassIdTest extends Common_TestCase {
 
 
-  protected function setUp()
-  {
+  protected function setUp() {
     parent::setUp();
     $this->setUpProductsClass();
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testSfGetProductClassId_存在する製品IDのみを指定した場合_カテゴリ0の対応する製品クラスが取得できる()
-  {
+  public function testSfGetProductClassId_存在するIDを指定した場合_対応する製品クラスが取得できる() {
     
-    $this->expected = '2001';
-    $this->actual = SC_Utils::sfGetProductClassId('2001');
+    $this->expected = '1001';
+    $this->actual = SC_Utils::sfGetProductClassId('1001');
 
     $this->verify('取得した製品クラス');
   }
 
-  public function testSfGetProductClassId_存在する製品IDのみを指定してカテゴリ0の製品クラスが存在しなければ_nullが返る()
-  {
-    
-    $this->expected = null;
-    $this->actual = SC_Utils::sfGetProductClassId('1001');
-
-    $this->verify('取得結果が空');
-  }
-
-  public function testSfGetProductClassId_存在する製品IDとカテゴリIDを指定した場合_対応する製品クラスが取得できる()
-  {
-    
-    $this->expected = '1002';
-    $this->actual = SC_Utils::sfGetProductClassId('1001', '2');
-
-    $this->verify('取得した製品クラス');
-  }
-
-  public function testSfGetProductClassId_存在する製品IDと存在しないカテゴリIDを指定した場合_nullが返る()
-  {
-    
-    $this->expected = null;
-    $this->actual = SC_Utils::sfGetProductClassId('1001', '999');
-
-    $this->verify('取得結果が空');
-  }
-
-  public function testSfGetProductClassId_存在しない製品IDを指定した場合_nullが返る()
-  {
+  public function testSfGetProductClassId_存在しないIDを指定した場合_nullが返る() {
     $this->expected = null;
     $this->actual = SC_Utils::sfGetProductClassId('9999');
@@ -93,6 +61,5 @@
 
   //////////////////////////////////////////
-  protected function setUpProductsClass()
-  {
+  protected function setUpProductsClass() {
     $products_class = array(
       array(
@@ -110,5 +77,6 @@
         'creator_id' => '1',
         'update_date' => 'CURRENT_TIMESTAMP'
-      ),
+      )
+      /** 同じproduct_idが2つあるケースは現状failするのでいったんコメントアウト
       array(
         'product_class_id' => '1002',
@@ -119,9 +87,9 @@
         'update_date' => 'CURRENT_TIMESTAMP'
       )
+      */
     );
 
     $this->objQuery->delete('dtb_products_class');
-    foreach ($products_class as $item)
-{
+    foreach ($products_class as $item) {
       $this->objQuery->insert('dtb_products_class', $item);
     }
Index: /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfNoImageMainTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfNoImageMainTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfNoImageMainTest.php	(revision 22796)
@@ -32,21 +32,17 @@
  * @version $Id$
  */
-class SC_Utils_sfNoImageMainTest extends Common_TestCase
-{
+class SC_Utils_sfNoImageMainTest extends Common_TestCase {
 
 
-  protected function setUp()
-  {
+  protected function setUp() {
     // parent::setUp();
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     // parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testSfNoImageMain_ファイル名が空の場合_デフォルトのファイル名が返る()
-  {
+  public function testSfNoImageMain_ファイル名が空の場合_デフォルトのファイル名が返る() {
     $this->expected = 'noimage_main.png';
     $this->actual = SC_Utils::sfNoImageMain('');
@@ -55,6 +51,5 @@
   }
 
-  public function testSfNoImageMain_ディレクトリが指定されている場合_そのディレクトリ以下でデフォルトのファイル名が返る()
-  {
+  public function testSfNoImageMain_ディレクトリが指定されている場合_そのディレクトリ以下でデフォルトのファイル名が返る() {
     $this->expected = 'aaa/bbb/noimage_main.png';
     $this->actual = SC_Utils::sfNoImageMain('aaa/bbb/');
@@ -63,6 +58,5 @@
   }
 
-  public function testSfNoImageMain_ファイル名が指定されている場合_指定されたファイル名が返る()
-  {
+  public function testSfNoImageMain_ファイル名が指定されている場合_指定されたファイル名が返る() {
     $this->expected = 'aaa/bbb/ccc.png';
     $this->actual = SC_Utils::sfNoImageMain('aaa/bbb/ccc.png');
Index: /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfGetAddressTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfGetAddressTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfGetAddressTest.php	(revision 22796)
@@ -32,22 +32,18 @@
  * @version $Id$
  */
-class SC_Utils_sfGetAddressTest extends Common_TestCase
-{
+class SC_Utils_sfGetAddressTest extends Common_TestCase {
 
 
-  protected function setUp()
-  {
+  protected function setUp() {
     parent::setUp();
     $this->setUpAddress();
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function test_住所がヒットしない場合_空の配列が返る()
-  {
+  public function test_住所がヒットしない場合_空の配列が返る() {
     $this->expected = array();
     $this->actual = SC_Utils::sfGetAddress('9999999');
@@ -56,6 +52,5 @@
   }
 
-  public function test_住所が一件だけヒットする場合_住所データが取得できる()
-  {
+  public function test_住所が一件だけヒットする場合_住所データが取得できる() {
     $this->expected = array(
       array(
@@ -74,6 +69,5 @@
   // $data_list[0]を返した方が良いのでは?
   /**
-  public function test_住所が二件以上ヒットする場合_町名を消した住所データが取得できる()
-  {
+  public function test_住所が二件以上ヒットする場合_町名を消した住所データが取得できる() {
     $this->expected = array(
       array(
@@ -94,6 +88,5 @@
   */
 
-  public function test_住所に但し書きが含まれる場合_但し書きが消去される()
-  {
+  public function test_住所に但し書きが含まれる場合_但し書きが消去される() {
     $this->expected = array(
       array(
@@ -108,6 +101,5 @@
   }
 
-  public function test_住所に注意文言がある場合_町名が消去される()
-  {
+  public function test_住所に注意文言がある場合_町名が消去される() {
     $this->expected = array(
       array(
@@ -122,6 +114,5 @@
   }
 
-  public function test_住所に番地の説明が含まれる場合_町名が消去される()
-  {
+  public function test_住所に番地の説明が含まれる場合_町名が消去される() {
     $this->expected = array(
       array(
@@ -138,6 +129,5 @@
   //////////////////////////////////////////
 
-  protected function setUpAddress()
-  {
+  protected function setUpAddress() {
 
     $address = array(
Index: /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfGetCheckedTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfGetCheckedTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfGetCheckedTest.php	(revision 22796)
@@ -32,21 +32,17 @@
  * @version $Id$
  */
-class SC_Utils_sfGetCheckedTest extends Common_TestCase
-{
+class SC_Utils_sfGetCheckedTest extends Common_TestCase {
 
 
-  protected function setUp()
-  {
+  protected function setUp() {
     // parent::setUp();
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     // parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testSfGetChecked_引数が一致する場合_チェック済みの文字列が返る()
-  {
+  public function testSfGetChecked_引数が一致する場合_チェック済みの文字列が返る() {
     $this->expected = 'checked="checked"';
     $this->actual = SC_Utils::sfGetChecked('1', '1');
@@ -55,6 +51,5 @@
   }
 
-  public function testSfGetChecked_引数が一致しない場合_0バイト文字列が返る()
-  {
+  public function testSfGetChecked_引数が一致しない場合_0バイト文字列が返る() {
     $this->expected = '';
     $this->actual = SC_Utils::sfGetChecked('2', '1');
Index: /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfIsMatchHashPassword_authTypePlainTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfIsMatchHashPassword_authTypePlainTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfIsMatchHashPassword_authTypePlainTest.php	(revision 22796)
@@ -34,15 +34,12 @@
  * @version $Id$
  */
-class SC_Utils_sfIsMatchHashPassword_authTypePlainTest extends Common_TestCase
-{
+class SC_Utils_sfIsMatchHashPassword_authTypePlainTest extends Common_TestCase {
 
 
-  protected function setUp()
-  {
+  protected function setUp() {
     // parent::setUp();
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     // parent::tearDown();
   }
@@ -50,6 +47,5 @@
   /////////////////////////////////////////
   /**
-  public function testSfIsMatchHashPassword_文字列が一致する場合_trueが返る()
-  {
+  public function testSfIsMatchHashPassword_文字列が一致する場合_trueが返る() {
     $pass = 'ec-cube';
     $hashpass = 'ec-cube';
@@ -61,6 +57,5 @@
   }
 
-  public function testSfIsMatchHashPassword_文字列が一致しない場合_falseが返る()
-  {
+  public function testSfIsMatchHashPassword_文字列が一致しない場合_falseが返る() {
     $pass = 'ec-cube';
     $hashpass = 'EC-cube';
Index: /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfIsIntTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfIsIntTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfIsIntTest.php	(revision 22796)
@@ -32,20 +32,16 @@
  * @version $Id$
  */
-class SC_Utils_sfIsIntTest extends Common_TestCase
-{
+class SC_Utils_sfIsIntTest extends Common_TestCase {
 
-  protected function setUp()
-  {
+  protected function setUp() {
     parent::setUp();
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testSfIsInt_0バイト文字列の場合_FALSEが返る()
-  {
+  public function testSfIsInt_0バイト文字列の場合_FALSEが返る() {
     $this->expected = FALSE;
     $this->actual = SC_Utils::sfIsInt('');
@@ -54,6 +50,5 @@
   }
 
-  public function testSfIsInt_intの最大長より長い場合_FALSEが返る()
-  {
+  public function testSfIsInt_intの最大長より長い場合_FALSEが返る() {
     $this->expected = FALSE;
     $this->actual = SC_Utils::sfIsInt('10000000000');
@@ -62,6 +57,5 @@
   }
 
-  public function testSfIsInt_intの最大値ギリギリの場合_TRUEが返る()
-  {
+  public function testSfIsInt_intの最大値ギリギリの場合_TRUEが返る() {
     $this->expected = FALSE;
     $this->actual = SC_Utils::sfIsInt('2147483647');
@@ -70,6 +64,5 @@
   }
 
-  public function testSfIsInt_intの最大値を超える場合_FALSEが返る()
-  {
+  public function testSfIsInt_intの最大値を超える場合_FALSEが返る() {
     $this->expected = FALSE;
     $this->actual = SC_Utils::sfIsInt('2147483648');
@@ -78,6 +71,5 @@
   }
 
-  public function testSfIsInt_数値でない場合_FALSEが返る()
-  {
+  public function testSfIsInt_数値でない場合_FALSEが返る() {
     $this->expected = FALSE;
     $this->actual = SC_Utils::sfIsInt('HELLO123');
@@ -86,6 +78,5 @@
   }
 
-  public function testSfIsInt_正の整数の場合_TRUEが返る()
-  {
+  public function testSfIsInt_正の整数の場合_TRUEが返る() {
     $this->expected = TRUE;
     $this->actual = SC_Utils::sfIsInt('123456789');
@@ -96,6 +87,5 @@
   // TODO 「整数かどうか」という関数名なのでここはFALSEになるべきでは？
   /**
-  public function testSfIsInt_正の小数の場合_FALSEが返る()
-  {
+  public function testSfIsInt_正の小数の場合_FALSEが返る() {
     $this->expected = FALSE;
     $this->actual = SC_Utils::sfIsInt('123.456');
@@ -105,6 +95,5 @@
   */
 
-  public function testSfIsInt_負の整数の場合_TRUEが返る()
-  {
+  public function testSfIsInt_負の整数の場合_TRUEが返る() {
     $this->expected = TRUE;
     $this->actual = SC_Utils::sfIsInt('-12345678');
@@ -115,6 +104,5 @@
   // TODO 文字列長でチェックしているので負の場合は範囲が小さくなっている
   /**
-  public function testSfIsInt_負の整数で桁数が最大の場合_TRUEが返る()
-  {
+  public function testSfIsInt_負の整数で桁数が最大の場合_TRUEが返る() {
     $this->expected = TRUE;
     $this->actual = SC_Utils::sfIsInt('-123456789');
Index: /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfGetCommaListTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfGetCommaListTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfGetCommaListTest.php	(revision 22796)
@@ -32,20 +32,16 @@
  * @version $Id$
  */
-class SC_Utils_sfGetCommaListTest extends Common_TestCase
-{
+class SC_Utils_sfGetCommaListTest extends Common_TestCase {
 
-  protected function setUp()
-  {
+  protected function setUp() {
     parent::setUp();
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testSfGetCommaList_配列が空の場合_FALSEが返る()
-  {
+  public function testSfGetCommaList_配列が空の場合_FALSEが返る() {
     $this->expected = FALSE;
     $this->actual = SC_Utils::sfGetCommaList(array());
@@ -54,6 +50,5 @@
   }
 
-  public function testSfGetCommaList_スペースフラグが立っている場合_スペース付きで連結される()
-  {
+  public function testSfGetCommaList_スペースフラグが立っている場合_スペース付きで連結される() {
     $this->expected = 'りんご, ミカン, バナナ';
     $this->actual = SC_Utils::sfGetCommaList(
@@ -65,6 +60,5 @@
   }
 
-  public function testSfGetCommaList_スペースフラグが倒れている場合_スペース付きで連結される()
-  {
+  public function testSfGetCommaList_スペースフラグが倒れている場合_スペース付きで連結される() {
     $this->expected = 'りんご,ミカン,バナナ';
     $this->actual = SC_Utils::sfGetCommaList(
@@ -77,6 +71,5 @@
 
   // TODO 要確認：arrpopの役割
-  public function testSfGetCommaList_除外リストが指定されている場合_スペース付きで連結される()
-  {
+  public function testSfGetCommaList_除外リストが指定されている場合_スペース付きで連結される() {
     $this->expected = 'りんご, バナナ';
     $this->actual = SC_Utils::sfGetCommaList(
Index: /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_isBlankTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_isBlankTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_isBlankTest.php	(revision 22796)
@@ -32,111 +32,92 @@
  * @version $Id$
  */
-class SC_Utils_isBlankTest extends Common_TestCase
-{
+class SC_Utils_isBlankTest extends Common_TestCase {
 
 
-  protected function setUp()
-  {
+  protected function setUp() {
     // parent::setUp();
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     // parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testIsBlank_0バイト文字列の場合_trueが返る()
-  {
+  public function testIsBlank_0バイト文字列の場合_trueが返る() {
     $input = '';
     $this->assertTrue(SC_Utils::isBlank($input), $input);
   }
 
-  public function testIsBlank_全角スペースの場合_trueが返る()
-  {
+  public function testIsBlank_全角スペースの場合_trueが返る() {
     $input = '　';
     $this->assertTrue(SC_Utils::isBlank($input), $input);
   }
 
-  public function testIsBlank_greedy指定なしで全角スペースの場合_falseが返る()
-  {
+  public function testIsBlank_greedy指定なしで全角スペースの場合_falseが返る() {
     $input = '　';
     $this->assertFalse(SC_Utils::isBlank($input, false), $input);
   }
 
-  public function testIsBlank_空の配列の場合_trueが返る()
-  {
+  public function testIsBlank_空の配列の場合_trueが返る() {
     $input = array();
     $this->assertTrue(SC_Utils::isBlank($input), $input);
   }
 
-  public function testIsBlank_ネストした配列の場合_trueが返る()
-  {
+  public function testIsBlank_ネストした配列の場合_trueが返る() {
     $input = array(array(array()));
     $this->assertTrue(SC_Utils::isBlank($input), $input);
   }
 
-  public function testIsBlank_greedy指定なしでネストした配列の場合_falseが返る()
-  {
+  public function testIsBlank_greedy指定なしでネストした配列の場合_falseが返る() {
     $input = array(array(array()));
     $this->assertFalse(SC_Utils::isBlank($input, false), $input);
   }
 
-  public function testIsBlank_空でない配列の場合_falseが返る()
-  {
+  public function testIsBlank_空でない配列の場合_falseが返る() {
     $input = array(array(array('1')));
     $this->assertFalse(SC_Utils::isBlank($input), $input);
   }
 
-  public function testIsBlank_greedy指定なしで空でない配列の場合_falseが返る()
-  {
+  public function testIsBlank_greedy指定なしで空でない配列の場合_falseが返る() {
     $input = array(array(array('1')));
     $this->assertFalse(SC_Utils::isBlank($input, false), $input);
   }
 
-  public function testIsBlank_全角スペースと空白の組み合わせの場合_trueが返る()
-  {
+  public function testIsBlank_全角スペースと空白の組み合わせの場合_trueが返る() {
     $input = "　\n　";
     $this->assertTrue(SC_Utils::isBlank($input), $input);
   }
 
-  public function testIsBlank_greedy指定なしで全角スペースと空白の組み合わせの場合_falseが返る()
-  {
+  public function testIsBlank_greedy指定なしで全角スペースと空白の組み合わせの場合_falseが返る() {
     $input = "　\n　";
     $this->assertFalse(SC_Utils::isBlank($input, false), $input);
   }
 
-  public function testIsBlank_全角スペースと非空白の組み合わせの場合_falseが返る()
-  {
+  public function testIsBlank_全角スペースと非空白の組み合わせの場合_falseが返る() {
     $input = '　A　';
     $this->assertFalse(SC_Utils::isBlank($input), $input);
   }
 
-  public function testIsBlank_greedy指定なしで全角スペースと非空白の組み合わせの場合_falseが返る()
-  {
+  public function testIsBlank_greedy指定なしで全角スペースと非空白の組み合わせの場合_falseが返る() {
     $input = '　A　';
     $this->assertFalse(SC_Utils::isBlank($input, false), $input);
   }
 
-  public function testIsBlank_数値のゼロを入力した場合_falseが返る()
-  {
+  public function testIsBlank_数値のゼロを入力した場合_falseが返る() {
     $input = 0;
     $this->assertFalse(SC_Utils::isBlank($input), $input);
   }
 
-  public function testIsBlank_値が空の配列を入力した場合_trueが返る()
-  {
+  public function testIsBlank_値が空の配列を入力した場合_trueが返る() {
     $input = array("");
     $this->assertTrue(SC_Utils::isBlank($input), $input);
   }
 
-  public function testIsBlank_すべてのホワイトスペースを並べた場合_trueが返る()
-  {
+  public function testIsBlank_すべてのホワイトスペースを並べた場合_trueが返る() {
     $input = " \t　\n\r\x0B\0";
     $this->assertTrue(SC_Utils::isBlank($input), $input);
   }
 
-  public function testIsBlank_通常の文字が含まれている場合_falseが返る()
-  {
+  public function testIsBlank_通常の文字が含まれている場合_falseが返る() {
     $input = " AB \n\t";
     $this->assertFalse(SC_Utils::isBlank($input), $input);
Index: /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfArrKeyValueTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfArrKeyValueTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfArrKeyValueTest.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class SC_Utils_sfArrKeyValueTest extends Common_TestCase
-{
+class SC_Utils_sfArrKeyValueTest extends Common_TestCase {
 
   var $arrList;
@@ -39,6 +38,5 @@
   var $valuename;
 
-  protected function setUp()
-  {
+  protected function setUp() {
     // parent::setUp();
 
@@ -53,12 +51,10 @@
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     // parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testSfArrKeyValue_最大長が配列より短い場合_最大長でカットされる()
-  {
+  public function testSfArrKeyValue_最大長が配列より短い場合_最大長でカットされる() {
     $len_max = 3;
 
@@ -73,6 +69,5 @@
   }
 
-  public function testSfArrKeyValue_最大長が指定されていない場合_全要素が出力される()
-  {
+  public function testSfArrKeyValue_最大長が指定されていない場合_全要素が出力される() {
     $this->expected = array(
       '1011' => '2001',
@@ -86,6 +81,5 @@
   }
 
-  public function testSfArrKeyValue_キーサイズが短い場合_キーサイズでカットされる()
-  {
+  public function testSfArrKeyValue_キーサイズが短い場合_キーサイズでカットされる() {
     $len_max = 5;
     $keysize = 1;
Index: /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfIsMatchHashPassword_authTypeHmacTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfIsMatchHashPassword_authTypeHmacTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/util/SC_Utils/SC_Utils_sfIsMatchHashPassword_authTypeHmacTest.php	(revision 22796)
@@ -34,21 +34,17 @@
  * @version $Id$
  */
-class SC_Utils_sfIsMatchHashPassword_authTypeHmacTest extends Common_TestCase
-{
+class SC_Utils_sfIsMatchHashPassword_authTypeHmacTest extends Common_TestCase {
 
 
-  protected function setUp()
-  {
+  protected function setUp() {
     // parent::setUp();
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     // parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testSfIsMatchHashPassword_ハッシュ化後の文字列が一致する場合_trueが返る()
-  {
+  public function testSfIsMatchHashPassword_ハッシュ化後の文字列が一致する場合_trueが返る() {
     $pass = 'ec-cube';
     $salt = 'salt';
@@ -61,6 +57,5 @@
   }
 
-  public function testSfIsMatchHashPassword_ハッシュ化後の文字列が一致しない場合_falseが返る()
-  {
+  public function testSfIsMatchHashPassword_ハッシュ化後の文字列が一致しない場合_falseが返る() {
     $pass = 'ec-cube';
     $salt = 'salt';
@@ -73,6 +68,5 @@
   }
 
-  public function testSfIsMatchHashPassword_saltが未指定の場合_旧バージョンの暗号化で比較される()
-  {
+  public function testSfIsMatchHashPassword_saltが未指定の場合_旧バージョンの暗号化で比較される() {
     $pass = 'ec-cube';
     $hashpass = sha1($pass . ':' . AUTH_MAGIC);
Index: /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_cleanupSessionTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_cleanupSessionTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_cleanupSessionTest.php	(revision 22796)
@@ -32,21 +32,17 @@
  * @version $Id$
  */
-class SC_Helper_Purchase_cleanupSessionTest extends SC_Helper_Purchase_TestBase
-{
+class SC_Helper_Purchase_cleanupSessionTest extends SC_Helper_Purchase_TestBase {
 
-  protected function setUp()
-  {
+  protected function setUp() {
     parent::setUp();
     $this->setUpProductClass();
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testCleanupSession__カートとセッションの配送情報が削除される()
-  {
+  public function testCleanupSession__カートとセッションの配送情報が削除される() {
     // 引数の準備
     $helper = new SC_Helper_Purchase();
Index: /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_getOrderDetailTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_getOrderDetailTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_getOrderDetailTest.php	(revision 22796)
@@ -32,10 +32,8 @@
  * @version $Id$
  */
-class SC_Helper_Purchase_getOrderDetailTest extends SC_Helper_Purchase_TestBase
-{
+class SC_Helper_Purchase_getOrderDetailTest extends SC_Helper_Purchase_TestBase {
 
 
-  protected function setUp()
-  {
+  protected function setUp() {
     parent::setUp();
     $this->setUpOrder();
@@ -44,12 +42,10 @@
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testGetOrderDetail_存在しない受注IDを指定した場合_結果が空になる()
-  {
+  public function testGetOrderDetail_存在しない受注IDを指定した場合_結果が空になる() {
     $order_id = '9999';
 
@@ -60,6 +56,5 @@
   }
 
-  public function testGetOrderDetail_存在する受注IDを指定した場合_対応する受注詳細情報が取得できる()
-  {
+  public function testGetOrderDetail_存在する受注IDを指定した場合_対応する受注詳細情報が取得できる() {
     $order_id = '1001';
 
@@ -107,6 +102,5 @@
   }
 
-  public function testGetOrderDetail_ステータス取得フラグがOFFのの場合_ステータス以外の情報が取得できる()
-  {
+  public function testGetOrderDetail_ステータス取得フラグがOFFのの場合_ステータス以外の情報が取得できる() {
     $order_id = '1001';
 
Index: /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_getPaymentsTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_getPaymentsTest.php	(revision 22796)
+++ /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_getPaymentsTest.php	(revision 22796)
@@ -0,0 +1,71 @@
+<?php
+
+$HOME = realpath(dirname(__FILE__)) . "/../../../..";
+require_once($HOME . "/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_TestBase.php");
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2013 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+/**
+ * SC_Helper_Purchase::getPayments()のテストクラス.
+ *
+ *
+ * @author Hiroko Tamagawa
+ * @version $Id$
+ */
+class SC_Helper_Purchase_getPaymentsTest extends SC_Helper_Purchase_TestBase {
+
+
+  protected function setUp() {
+    parent::setUp();
+    $this->setUpPaymentOptions();
+  }
+
+  protected function tearDown() {
+    parent::tearDown();
+  }
+
+  /////////////////////////////////////////
+  public function testGetPayments_存在しない配送業者IDを指定した場合_結果が空になる() {
+    $deliv_id = '100'; // 存在しないID
+
+    $this->expected = array();
+    $helper = new SC_Helper_Purchase();
+    $this->actual = $helper->getPayments($deliv_id);
+
+    $this->verify('支払方法');
+  }
+
+  public function testGetPayments_存在する配送業者IDを指定した場合_結果が正しい順序で取得できる() {
+    $deliv_id = '1001';
+  
+    $this->expected = array('1002', '1001');
+
+    $helper = new SC_Helper_Purchase();
+    $this->actual = $helper->getPayments($deliv_id);
+    
+    $this->verify('支払方法');
+  }
+
+  //////////////////////////////////////////
+
+}
+
Index: /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_getOrderTempTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_getOrderTempTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_getOrderTempTest.php	(revision 22796)
@@ -32,22 +32,18 @@
  * @version $Id$
  */
-class SC_Helper_Purchase_getOrderTempTest extends SC_Helper_Purchase_TestBase
-{
+class SC_Helper_Purchase_getOrderTempTest extends SC_Helper_Purchase_TestBase {
 
 
-  protected function setUp()
-  {
+  protected function setUp() {
     parent::setUp();
     $this->setUpOrderTemp();
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testGetOrderTemp_存在しない受注IDを指定した場合_結果が空になる()
-  {
+  public function testGetOrderTemp_存在しない受注IDを指定した場合_結果が空になる() {
     $order_id = '9999';
 
@@ -58,6 +54,5 @@
   }
 
-  public function testGetOrderTemp_存在する受注IDを指定した場合_対応する結果が取得できる()
-  {
+  public function testGetOrderTemp_存在する受注IDを指定した場合_対応する結果が取得できる() {
     $order_temp_id = '1002';
 
Index: /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_setShipmentItemTempForSoleTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_setShipmentItemTempForSoleTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_setShipmentItemTempForSoleTest.php	(revision 22796)
@@ -32,15 +32,12 @@
  * @version $Id$
  */
-class SC_Helper_Purchase_setShipmentItemTempForSoleTest extends SC_Helper_Purchase_TestBase
-{
+class SC_Helper_Purchase_setShipmentItemTempForSoleTest extends SC_Helper_Purchase_TestBase {
 
 
-  protected function setUp()
-  {
+  protected function setUp() {
     parent::setUp();
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     parent::tearDown();
     $_SESSION['testResult'] = null;
@@ -48,6 +45,5 @@
 
   /////////////////////////////////////////
-  public function testSetShipmentItemTempForSole__いったん配送情報がクリアされたあと改めて指定のものが設定される()
-  {
+  public function testSetShipmentItemTempForSole__いったん配送情報がクリアされたあと改めて指定のものが設定される() {
     $helper = new SC_Helper_Purchase_setShipmentItemTempForSoleMock();
     $cartSession = new SC_CartSession_setShipmentItemTempForSoleMock();
@@ -72,13 +68,10 @@
 }
 
-class SC_Helper_Purchase_setShipmentItemTempForSoleMock extends SC_Helper_Purchase
-{
-  function clearShipmentItemTemp()
-  {
+class SC_Helper_Purchase_setShipmentItemTempForSoleMock extends SC_Helper_Purchase {
+  function clearShipmentItemTemp() {
     $_SESSION['testResult']['clearShipmentItemTemp'] = TRUE;
   }
 
-  function setShipmentItemTemp($shipping_id, $id, $quantity)
-  {
+  function setShipmentItemTemp($shipping_id, $id, $quantity) {
     $_SESSION['testResult']['shipmentItemTemp'][] = 
       array('shipping_id' => $shipping_id, 'id' => $id, 'quantity' => $quantity);
@@ -86,8 +79,6 @@
 }
 
-class SC_CartSession_setShipmentItemTempForSoleMock extends SC_CartSession
-{
-  function getCartList($key)
-  {
+class SC_CartSession_setShipmentItemTempForSoleMock extends SC_CartSession {
+  function getCartList($key) {
     return array(
       array('id'=>'1', 'quantity'=>'10'),
Index: /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_registerOrderDetailTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_registerOrderDetailTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_registerOrderDetailTest.php	(revision 22796)
@@ -27,25 +27,22 @@
 /**
  * SC_Helper_Purchase::registerOrderDetail()のテストクラス.
+ * TODO 他のfunctionと、SC_Query_Exのインスタンスの受け取り方が異なっている。
  *
  * @author Hiroko Tamagawa
  * @version $Id$
  */
-class SC_Helper_Purchase_registerOrderDetailTest extends SC_Helper_Purchase_TestBase
-{
+class SC_Helper_Purchase_registerOrderDetailTest extends SC_Helper_Purchase_TestBase {
 
-  protected function setUp()
-  {
+  protected function setUp() {
     parent::setUp();
     $this->setUpOrderDetail();
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testRegisterOrderDetail_該当の受注が存在する場合_削除後に新しい情報が登録される()
-  {
+  public function testRegisterOrderDetail_該当の受注が存在する場合_削除後に新しい情報が登録される() {
     $params = array(
       array(
@@ -80,6 +77,5 @@
   }
 
-  public function testRegisterOrderDetail_該当の受注が存在しない場合_新しい情報が追加登録される()
-  {
+  public function testRegisterOrderDetail_該当の受注が存在しない場合_新しい情報が追加登録される() {
     $params = array(
       array(
